MDWParserInternal::ZoneInfo Struct Reference

Internal: a zone information of a MDWParser. More...

## Public Member Functions

| ZoneInfo ()
void | updateListId (ListProperties &prop, MWAWListManager &listManager)
| update the line list id More...

## Public Attributes

std::vector< LineInfo > | m_linesList
| the list of line information More...

## Detailed Description

Internal: a zone information of a MDWParser.

## Constructor & Destructor Documentation

MDWParserInternal::ZoneInfo::ZoneInfo | ( |  | ) |

inline

## Member Function Documentation

void MDWParserInternal::ZoneInfo::updateListId | ( | ListProperties & | prop,
|  | MWAWListManager & | listManager
| ) |  |

update the line list id

Referenced by MDWParser::readLinesInfo().

## Member Data Documentation

std::vector<LineInfo> MDWParserInternal::ZoneInfo::m_linesList

the list of line information

Referenced by MDWParser::readLinesInfo(), MDWParser::sendZone(), and updateListId().

The documentation for this struct was generated from the following file:

- MDWParser.cxx